findDrawables {Rgb} | R Documentation

## Find drawable objects in memory

### Description

This function searches an environment for `drawable-class` inheriting objects.

### Usage

      findDrawables(varNames = NA, envir = globalenv())

### Arguments

`varNames` | Character vector, the R expression(s) of potential `drawable-class` inheriting objects (or lists of such objects) to check. If `NA`, an object name list will be generated from `envir`. Non-`NA` values are mainly used for internal recursive calls on lists, users should not have to change it.
`envir` | The `environment` to look into for `drawable-class` inheriting objects.

### Details

Objects are currently found if defined as individual variables, as parts of `drawable.list` objects or into standard R `lists`. `lists` are explored recursively, so `lists` embedded into other `lists` are explored too, whatever their depths.

### Value

Returns a character vector containing the R expression(s) to be evaluated in `envir` to get the `drawable-class` inheriting objects.

This vector carries an "envir" attribute containing the value passed to this function via the `envir` argument.

### Author(s)

Sylvain Mareschal

### See Also

`tk.tracks`

[Package Rgb version 1.6.1 Index]